CREATE TABLE resources.HOST(    MAC_ADDR VARCHAR(20),    STAMP BIGINT,  HOSTNAME VARCHAR(20),  `STATUS` VARCHAR(10),    PRIMARY KEY(MAC_ADDR, STAMP) );
CREATE TABLE resources.CPU (    MAC_ADDR VARCHAR(20),	STAMP BIGINT,    CORES INT,    PRIMARY KEY (MAC_ADDR, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.HOST(MAC_ADDR, STAMP) );
CREATE TABLE resources.CORE(    MAC_ADDR VARCHAR(20),    STAMP BIGINT,    NUM INT,    TEMP FLOAT(5,2),    `USAGE` FLOAT(4,2),    FREQ_CURR FLOAT(4,2),    FREQ_MAX FLOAT(4,2),    FREQ_MIN FLOAT(4,2),    PRIMARY KEY(MAC_ADDR, NUM, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.CPU(MAC_ADDR, STAMP) );
CREATE TABLE resources.MEMORY (    MAC_ADDR VARCHAR(20),    STAMP BIGINT,    TOTAL FLOAT(4,2),    USED FLOAT(4,2),    AVAILABLE FLOAT(4,2),	PERCENT FLOAT(4,2),    PRIMARY KEY (MAC_ADDR, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.HOST(MAC_ADDR, STAMP) );
CREATE TABLE resources.SWP (    MAC_ADDR VARCHAR(20),    STAMP BIGINT,    TOTAL FLOAT(4,2),    USED FLOAT(4,2),    FREE FLOAT(4,2),	PERCENT FLOAT(4,2),    PRIMARY KEY (MAC_ADDR, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.HOST(MAC_ADDR, STAMP) );

SET GLOBAL event_scheduler = ON;

CREATE EVENT update_status ON SCHEDULE	EVERY 10 SECOND	DO UPDATE resources.HOST AS H SET `STATUS`='inactive' WHERE H.STAMP < unix_timestamp(NOW() - INTERVAL 10 SECOND);
#CREATE EVENT remove_old ON SCHEDULE EVERY 1 DAY DO 

ALTER TABLE resources.HOST ADD INDEX host_MAC_ADDR_index(MAC_ADDR);
ALTER TABLE resources.HOST ADD INDEX host_stamp_index(STAMP);

ALTER TABLE resources.CPU ADD INDEX cpu_MAC_ADDR_index(MAC_ADDR);
ALTER TABLE resources.CPU ADD INDEX cpu_stamp_index(STAMP);

ALTER TABLE resources.CORE ADD INDEX core_MAC_ADDR_index(MAC_ADDR);
ALTER TABLE resources.CORE ADD INDEX core_num_index(NUM);
ALTER TABLE resources.CORE ADD INDEX core_stamp_index(STAMP);

ALTER TABLE resources.MEMORY ADD INDEX memory_MAC_ADDR_index(MAC_ADDR);
ALTER TABLE resources.MEMORY ADD INDEX memory_stamp_index(STAMP);
ALTER TABLE resources.SWP ADD INDEX swp_MAC_ADDR_index(MAC_ADDR);
ALTER TABLE resources.SWP ADD INDEX swp_stamp_index(STAMP);
